diff -uNrd ircd-hybrid-6.3rc5/include/config.h ircd-hybrid-6.3rc5.operchannel/include/config.h
--- ircd-hybrid-6.3rc5/include/config.h	Thu Jan  3 22:00:58 2002
+++ ircd-hybrid-6.3rc5.operchannel/include/config.h	Thu Feb 14 23:06:17 2002
@@ -25,6 +25,8 @@
 #define INCLUDED_setup_h
 #endif
 
+#define oper_channel "&redwall"
+
 /* PLEASE READ SECTION:
  *
  * I have commented out WHOIS_NOTICE and STATS_NOTICE
diff -uNrd ircd-hybrid-6.3rc5/include/config.h.dist ircd-hybrid-6.3rc5.operchannel/include/config.h.dist
--- ircd-hybrid-6.3rc5/include/config.h.dist	Thu Jan  3 22:00:59 2002
+++ ircd-hybrid-6.3rc5.operchannel/include/config.h.dist	Thu Feb 14 23:06:17 2002
@@ -25,6 +25,8 @@
 #define INCLUDED_setup_h
 #endif
 
+#define oper_channel "&redwall"
+
 /* PLEASE READ SECTION:
  *
  * I have commented out WHOIS_NOTICE and STATS_NOTICE
diff -uNrd ircd-hybrid-6.3rc5/src/channel.c ircd-hybrid-6.3rc5.operchannel/src/channel.c
--- ircd-hybrid-6.3rc5/src/channel.c	Mon Dec 10 13:51:46 2001
+++ ircd-hybrid-6.3rc5.operchannel/src/channel.c	Thu Feb 14 23:09:57 2002
@@ -1909,6 +1909,9 @@
     }
 #endif
 
+  if (!irccmp(chptr->chname, oper_channel) && !IsAnOper(sptr))
+    return (ERR_INVITEONLYCHAN);
+
   if ( (ban_or_exception = is_banned(sptr, chptr)) == CHFL_BAN)
     return (ERR_BANNEDFROMCHAN);
   else
@@ -2205,6 +2208,12 @@
   struct Channel *chptr = NULL;
   char  *name, *key = NULL;
   int   i, flags = 0;
+  int   noexit = 0;
+  char *operchannel[3] = { 
+	sptr->name,
+	oper_channel,
+	NULL 
+  };
   char  *p = NULL, *p2 = NULL;
 #ifdef ANTI_SPAMBOT
   int   successful_join_count = 0; /* Number of channels successfully joined */
@@ -2305,6 +2314,8 @@
               chptr = lp->value.chptr;
               sendto_channel_butserv(chptr, sptr, PartFmt,
                                      parv[0], chptr->chname);
+              if (IsAnOper(sptr) && !irccmp(chptr->chname, oper_channel))
+              	noexit = 1;
               remove_user_from_channel(sptr, chptr, 0);
             }
 
@@ -2546,6 +2557,10 @@
   if(MyConnect(sptr) && successful_join_count)
     sptr->last_join_time = CurrentTime;
 #endif
+  if (noexit)
+	{
+        m_join(sptr, sptr, 3, operchannel);
+	}
   return 0;
 }
 
@@ -2561,6 +2576,12 @@
 {
   struct Channel *chptr;
   char  *p, *name;
+  char *operchannel[3] = {
+	sptr->name,
+	oper_channel,
+	NULL
+  };
+  int noexit = 0;
 
   if (parc < 2 || parv[1][0] == '\0')
     {
@@ -2637,8 +2658,14 @@
       sendto_match_servs(chptr, cptr, PartFmt, parv[0], name);
             
       sendto_channel_butserv(chptr, sptr, PartFmt, parv[0], name);
+      if (IsAnOper(sptr) && !irccmp(chptr->chname, oper_channel))
+      noexit = 1;
       remove_user_from_channel(sptr, chptr, 0);
       name = strtoken(&p, (char *)NULL, ",");
+  if (noexit)    
+        {
+        m_join(sptr, sptr, 3, operchannel);                                      
+        }
     }
   return 0;
 }
@@ -2710,6 +2737,11 @@
    * I hope he approves of this code, (he did) users can get quite confused...
    *    -Dianora
    */
+
+  if(!irccmp(chptr->chname, oper_channel))
+    { /* don't allow kicks in oper_channel */
+    	return 0;
+    }
 
   if (!IsServer(sptr) && !is_chan_op(sptr, chptr) ) 
     { 
diff -uNrd ircd-hybrid-6.3rc5/src/m_oper.c ircd-hybrid-6.3rc5.operchannel/src/m_oper.c
--- ircd-hybrid-6.3rc5/src/m_oper.c	Sat Dec  8 01:06:13 2001
+++ ircd-hybrid-6.3rc5.operchannel/src/m_oper.c	Thu Feb 14 23:06:17 2002
@@ -110,6 +110,11 @@
 {
   struct ConfItem *aconf;
   char  *name, *password, *encr;
+  char *operchannel[3] = {
+	sptr->name,
+	oper_channel,
+	NULL
+  };
   char *operprivs;
   static char buf[BUFSIZE];
 
@@ -245,6 +250,8 @@
                  operprivs);
 
       SendMessageFile(sptr, &ConfigFileEntry.opermotd);
+
+      m_join(sptr, sptr, 3, operchannel); /* force irc operator to join oper_channel */
 
 #if !defined(CRYPT_OPER_PASSWORD) && (defined(FNAME_OPERLOG) || defined(SYSLOG_OPER))
         encr = "";
